config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/courier/maildrop/quotawarnmsg.example.new
config home/vmail/.mailfilter.new

if ! grep -q vmail /etc/group; then
    groupadd vmail
fi

if ! grep -q vmail /etc/passwd; then
    groupadd -g vmail -d /home/vmail -s /bin/false vamil
fi

chmod 700 /etc/courier
chown vmail:vmail /home/vmail
chown vmail:vmail /home/vmail/.mailfilter
chown vmail:vmail /home/vmail/.mailfilters
chmod 750 /var/spool/authdaemon
chgrp vmail /var/spool/authdaemon

( cd usr/lib ; rm -rf librfc2045.so )
( cd usr/lib ; ln -sf librfc2045.so.0.0.0 librfc2045.so )
( cd usr/lib ; rm -rf librfc822.so )
( cd usr/lib ; ln -sf librfc822.so.0.0.0 librfc822.so )
( cd usr/lib ; rm -rf librfc822.so.0 )
( cd usr/lib ; ln -sf librfc822.so.0.0.0 librfc822.so.0 )
( cd usr/lib ; rm -rf librfc2045.so.0 )
( cd usr/lib ; ln -sf librfc2045.so.0.0.0 librfc2045.so.0 )
